Arcade Village help center

What are the requirements to play the Arcade Village games ?

To play the Arcade Village games you need a java enabled browser.

Most of the browser are now java enabled. If you have a Internet Explorer 4.0 and more or a Netscape browser prior 4.0, or the Opera browser, you will have no problem.

The problem page propose you an autocheck box If you do not see the green rectangle in the autocheck, check first if java is enabled on your navigator.

Click here to read how to enable java.

If it doesn't correct your problem, java is not installed on your computer.

Click here to know how to download and install java on your computer.


You can also use the java test page from SUN corporation
Click here
ArcadeVillage.com 1999 - 2017